using System.Collections;
using Cute;
using LitJson;
using Wizard;

public class NtDataTranslateInfo
{
	public const string TITLESTATEMENT = "titleStatement";

	public const string CONTAINSTATEMENT = "containStatement";

	public const string TITLEEMAIL = "titleEmail";

	public const string EMAILADDRESS1 = "emailAddress1";

	public const string EMAILADDRESS2 = "emailAddress2";

	public const string EMAILADDRESSTIP1 = "emailAddressTip1";

	public const string EMAILADDRESSTIP2 = "emailAddressTip2";

	public const string TITLESUCCESS = "titleSuccess";

	public const string CONTAINSUCCESS = "containSuccess";

	public const string TITLETIP = "titleTip";

	public const string CONTAINTIP = "containTip";

	public const string TITLEREBIND = "titleRebind";

	public const string CONTAINREBIND = "containRebind";

	public const string ERRORID = "ERROR_ID";

	public const string ERRORTITLE = "ERROR_TITLE";

	public const string ERRORCONTAIN1 = "ERROR_CONTAIN1";

	public const string ERRORCONTAIN2 = "ERROR_CONTAIN2";

	public const string ERRORCONTAIN3 = "ERROR_CONTAIN3";

	public const string ERRORCONTAIN4 = "ERROR_CONTAIN4";

	public const string ERRORCONTAIN5 = "ERROR_CONTAIN5";

	public const string ERRORCONTAIN6 = "ERROR_CONTAIN6";

	public const string ERRORCONTAIN7 = "ERROR_CONTAIN7";

	public const string SERVERURL = "serverUrl";

	public const string BUTTONTEXT = "buttonTitle";

	public const string BUTTONTEXT_ID1 = "buttonText_ID1";

	public const string BUTTONTEXT_ID2 = "buttonText_ID2";

	public const string BUTTONTEXT_ID3 = "buttonText_ID3";

	public const string BUTTONTEXT_ID4 = "buttonText_ID4";

	public const string BUTTONTEXT_ID5 = "buttonText_ID5";

	public const string BUTTONTEXT_ID6 = "buttonText_ID6";

	public const string BUTTONTEXT_ID7 = "buttonText_ID7";

	public string titleStatement = "";

	public string containStatement = "";

	public string titleEmail = "";

	public string emailAddress1 = "";

	public string emailAddress2 = "";

	public string emailAddressTip1 = "";

	public string emailAddressTip2 = "";

	public string titleSuccess = "";

	public string containSuccess = "";

	public string titleTip = "";

	public string containTip = "";

	public string titleRebind = "";

	public string containRebind = "";

	public string ERROR_TITLE = "";

	public string ERROR_CONTAIN1 = "";

	public string ERROR_CONTAIN2 = "";

	public string ERROR_CONTAIN3 = "";

	public string ERROR_CONTAIN4 = "";

	public string ERROR_CONTAIN5 = "";

	public string ERROR_CONTAIN6 = "";

	public string ERROR_CONTAIN7 = "";

	public string serverUrl = "";

	public string buttonTitle = "";

	public string button_id1 = "";

	public string button_id2 = "";

	public string button_id3 = "";

	public string button_id4 = "";

	public string button_id5 = "";

	public string button_id6 = "";

	public string button_id7 = "";

	public static NtDataTranslateInfo Init()
	{
		SystemText systemText = Data.SystemText;
		return new NtDataTranslateInfo
		{
			titleStatement = systemText.Get("Account_0113"),
			containStatement = systemText.Get("Account_0114"),
			titleEmail = systemText.Get("Account_0115"),
			emailAddress1 = systemText.Get("Account_0116"),
			emailAddress2 = systemText.Get("Account_0117"),
			emailAddressTip1 = systemText.Get("Account_0118"),
			emailAddressTip2 = systemText.Get("Account_0119"),
			titleSuccess = systemText.Get("Account_0120"),
			containSuccess = systemText.Get("Account_0121"),
			titleTip = systemText.Get("Account_0122"),
			containTip = systemText.Get("Account_0123"),
			titleRebind = systemText.Get("Account_0124"),
			containRebind = systemText.Get("Account_0125"),
			ERROR_TITLE = systemText.Get("Account_0126"),
			ERROR_CONTAIN1 = systemText.Get("Account_0127"),
			ERROR_CONTAIN2 = systemText.Get("Account_0128"),
			ERROR_CONTAIN4 = systemText.Get("Account_0130"),
			ERROR_CONTAIN5 = systemText.Get("Account_0131"),
			ERROR_CONTAIN6 = systemText.Get("Account_0132"),
			ERROR_CONTAIN7 = systemText.Get("Account_0133"),
			serverUrl = CustomPreference.GetApplicationServerURL(),
			buttonTitle = systemText.Get("Account_0137"),
			button_id1 = systemText.Get("Account_0134"),
			button_id2 = systemText.Get("Account_0135"),
			button_id3 = systemText.Get("Account_0136"),
			button_id4 = systemText.Get("Account_0136"),
			button_id5 = systemText.Get("Account_0134"),
			button_id6 = systemText.Get("Account_0135"),
			button_id7 = systemText.Get("Account_0136")
		};
	}

	public static bool ContainsKey(JsonData json, string key)
	{
		if (((IDictionary)json).Contains((object)key))
		{
			return true;
		}
		return false;
	}

	public JsonData toJsonData()
	{
		return new JsonData
		{
			["titleStatement"] = titleStatement,
			["containStatement"] = containStatement,
			["titleEmail"] = titleEmail,
			["emailAddress1"] = emailAddress1,
			["emailAddress2"] = emailAddress2,
			["emailAddressTip1"] = emailAddressTip1,
			["emailAddressTip2"] = emailAddressTip2,
			["titleSuccess"] = titleSuccess,
			["containSuccess"] = containSuccess,
			["titleTip"] = titleTip,
			["containTip"] = containTip,
			["titleRebind"] = titleRebind,
			["containRebind"] = containRebind,
			["ERROR_TITLE"] = ERROR_TITLE,
			["ERROR_CONTAIN1"] = ERROR_CONTAIN1,
			["ERROR_CONTAIN2"] = ERROR_CONTAIN2,
			["ERROR_CONTAIN3"] = ERROR_CONTAIN3,
			["ERROR_CONTAIN4"] = ERROR_CONTAIN4,
			["ERROR_CONTAIN5"] = ERROR_CONTAIN5,
			["ERROR_CONTAIN6"] = ERROR_CONTAIN6,
			["ERROR_CONTAIN7"] = ERROR_CONTAIN7,
			["serverUrl"] = serverUrl,
			["buttonTitle"] = buttonTitle,
			["buttonText_ID1"] = button_id1,
			["buttonText_ID2"] = button_id2,
			["buttonText_ID3"] = button_id3,
			["buttonText_ID4"] = button_id4,
			["buttonText_ID5"] = button_id5,
			["buttonText_ID6"] = button_id6,
			["buttonText_ID7"] = button_id7
		};
	}
}
